/* CSS Document */
@font-face {
	font-family: 'Conv_thaisanslite_r1';
	src: url('../../fonts/thaisanslite_r1.eot');
	src: local('☺'), url('../../fonts/thaisanslite_r1.woff') format('woff'), url('../../fonts/thaisanslite_r1.ttf') format('truetype'), url('../../fonts/thaisanslite_r1.svg') format('svg');
	font-weight: normal;
	font-style: normal;
}

html, body {
	font-family:'Conv_thaisanslite_r1';
	font-size:24px;
    	}
.opa_select {opacity:0.7;}
.opa_select:hover {opacity:1;}

.ifrim {
	width:90%; margin-left:60px; position:relative; box-shadow:5px 5px 5px 5px #666; }

.sub_head {
	font-size:28px; background-color:#09F; color:#fff; padding:5px;
}

.txt {
	padding:5px;
	margin:10px;
	color:#09F;
	border-radius:3px;
	border:solid 1px #09f;
}

.button {
	border:none;
   background: #65a9d7;
   background: -webkit-gradient(linear, left top, left bottom, from(#3e779d), to(#65a9d7));
   background: -webkit-linear-gradient(top, #3e779d, #65a9d7);
   background: -moz-linear-gradient(top, #3e779d, #65a9d7);
   background: -ms-linear-gradient(top, #3e779d, #65a9d7);
   background: -o-linear-gradient(top, #3e779d, #65a9d7);
   padding: 6px 12px;
   -webkit-border-radius: 5px;
   -moz-border-radius: 5px;
   border-radius: 5px;
   -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
   -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
   box-shadow: rgba(0,0,0,1) 0 1px 0;
   text-shadow: rgba(0,0,0,.4) 0 1px 0;
   color: white;

   text-decoration: none;
   vertical-align: middle;
   }
.button:hover {
   background: #28597a;
   color: #ccc;
   }
.button:active {
   border-top-color: #1b435e;
   background: #1b435e;
   }

.line_bottom {
	border-bottom:solid 2px #999;
	margin-top:20px;
	margin-bottom:20px;
	width:100%;
}

.btn {
	font-family: 'Conv_thaisanslite_r1';
	font-size: 20px;
	color: #ffffff;
	padding: 10px 20px;
	background: -moz-linear-gradient(
		top,
		#0088ff 0%,
		#78b7fa);
	background: -webkit-gradient(
		linear, left top, left bottom,
		from(#0088ff),
		to(#78b7fa));
	-moz-border-radius: 10px;
	-webkit-border-radius: 10px;
	border-radius: 10px;
	border: 3px solid #ffffff;
	-moz-box-shadow:
		0px 1px 3px rgba(000,000,000,0.5),
		inset 0px 0px 3px rgba(217,217,217,1);
	-webkit-box-shadow:
		0px 1px 3px rgba(000,000,000,0.5),
		inset 0px 0px 3px rgba(217,217,217,1);
	box-shadow:
		0px 1px 3px rgba(000,000,000,0.5),
		inset 0px 0px 3px rgba(217,217,217,1);
	text-shadow:
		0px -1px 0px rgba(36,25,36,0.1),
		0px 1px 0px rgba(186,186,186,1);
}

.btn:hover {opacity:0.5;}


.hov_slide:hover {box-shadow: 5px 5px 5px #888; opacity:0.2; }
a:link {text-decoration:none;}
a:visited {text-decoration:none;}
a:hover {text-decoration:none;}
a:active {text-decoration:none;}


/* +++++++++++++++++++++++++++++++++++++ material +++++++++++++++++++++++++++++++++++++++++++++++++-*/

    
    
    section {
      padding: 30px 25px;
    }
    
    section > * {
      margin: 10px
    }
    
    /* Button */
    .button_m {
      display: inline-block;
      position: relative;
      width: 120px;
      height: 32px;
      line-height: 32px;
      border-radius: 2px;
      font-size: 0.9em;
      background-color: #fff;
      color: #646464;
    }
    
    .button_m > paper-ripple {
      border-radius: 2px;
      overflow: hidden;
    }
    
    .button_m.narrow {
      width: 60px;
    }
    
    .button_m.grey {
      background-color: #eee;
    }
    
    .button_m.blue {
      background-color: #4285f4;
      color: #fff;
    }
    
    .button_m.green {
      background-color: #0f9d58;
      color: #fff;
    }
    
    .button_m.raised {
      transition: box-shadow 0.2s cubic-bezier(0.4, 0, 0.2, 1);
      transition-delay: 0.2s;
      box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26);
    }
    
    .button_m.raised:active {
      box-shadow: 0 8px 17px 0 rgba(0, 0, 0, 0.2);
      transition-delay: 0s;
    }
    
    /* Icon Button */
    .icon-button {
      position: relative;
      display: inline-block;
      width: 56px;
      height: 56px;
    }
    
    .icon-button > core-icon {
      margin: 16px;
      transition: -webkit-transform 0.2s cubic-bezier(0.4, 0, 0.2, 1);
      transition: transform 0.2s cubic-bezier(0.4, 0, 0.2, 1);
    }
    
    .icon-button:hover > core-icon {
      -webkit-transform: scale(1.2);
      transform: scale(1.2);
    }
    
    .icon-button > paper-ripple {
      overflow: hidden;
      color: #646464;
    }
    
    .icon-button.red > core-icon::shadow path {
      fill: #db4437;
    }
    
    .icon-button.red > paper-ripple {
      color: #db4437;
    }
    
    .icon-button.blue > core-icon::shadow path {
      fill: #4285f4;
    }
    
    .icon-button.blue > paper-ripple {
      color: #4285f4;
    }
    
    /* FAB */
    .fab {
      position: relative;
      display: inline-block;
      width: 56px;
      height: 56px;
      border-radius: 50%;
      color: #fff;
      overflow: hidden;
      transition: box-shadow 0.2s cubic-bezier(0.4, 0, 0.2, 1);
      transition-delay: 0.2s;
      box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26);
    }
    
    .fab.red {
      background-color: #d23f31;
    }
    
    .fab.blue {
      background-color: #4285f4;
    }
    
    .fab.green {
      background-color: #0f9d58;
    }
    
    .fab:active {
      box-shadow: 0 8px 17px 0 rgba(0, 0, 0, 0.2);
      transition-delay: 0s;
    }
    
    .fab > core-icon {
      margin: 16px;
    }
    
    .fab > core-icon::shadow path {
      fill: #fff;
    }
    
    /* Menu */
    .menu {
      display: inline-block;
      width: 300px;
      background-color: #fff;
      box-shadow: 0 8px 17px 0 rgba(0, 0, 0, 0.2);
    }
    
    .item {
      position: relative;
      height: 48px;
      line-height: 48px;
      color: #646464;
      font-size: 0.9em;
    }
	
	.item:hover {
      position: relative;
      height: 48px;
      line-height: 48px;
      color: #646464;
	  background-color:#ceeded;
      font-size: 0.9em;
    }
    
    .menu.blue > .item {
      color: #4285f4;
    }
     .card, .dialog { padding:10px; border:solid 1px #ccc;}
    /* Card, Dialog 
    .card, .dialog {
      position: relative;
      display: inline-block;
      width: 300px;
      height: 240px;
      vertical-align: top;
      background-color: #fff;
      box-shadow: 0 12px 15px 0 rgba(0, 0, 0, 0.24);
    }
    
    .dialog {
      box-sizing: border-box;
      padding: 16px;
    }
    
    .dialog > .content {
      height: 170px;
      font-size: 0.9em;
    }
    
    .dialog > .content > .title {
      font-size: 1.3em;
    }
    
    .dialog > .button {
      width: 90px;
      float: right;
    }
    
    .card.image {
      background: url(http://lorempixel.com/300/240/nature/);
      color: #fff;
    }
    
    /* Misc */
    .center {
      text-align: center;
    }
    
    .label {
      padding: 0 16px;
    }
    
    .label-blue {
      color: #4285f4; 
    }
    
    .label-red {
      color: #d23f31; 
    }
	
/*++++++++++++++++++++++++++++++++++++++++ material 2 +++++++++++++++++++++++++++++++++++++++++*/
.form-group {
  position: relative;
  margin-top: 35px;
  margin-bottom: 20px;
}
.input-group {
  position: relative;
}
.form-control {
  display: block;
  height: 36px;
  width: 100%; 
  border: none;
  border-radius: 0 !important;

  font-size: 16px;
  font-weight: 300;
  padding: 0;
  background-color: transparent;
  box-shadow: none;
  border-bottom: 1px solid #757575;
}
.input-group .form-control {
  position: relative;
  z-index: inherit;
  float: inherit;
  width: 100%;
  margin-bottom: 0;
}
.form-control:focus {
  border-color: #757575;
  outline: none;
  box-shadow: none;
}

/* -- label styles ---------------------------------- */
label {
	position: absolute;
	top: 53px;
	color: #999;
	font-size: 12px;
	font-weight: 300;
	transition: 0.2s ease all;
	-moz-transition: 0.2s ease all;
	-webkit-transition: 0.2s ease all;
	left: 84px;
}

.form-horizontal .control-label {
  position: relative;
  top: 0;
  margin-bottom: 0;
}

@media (min-width: 768px) {
  .form-horizontal .control-label {
    font-size: 16px;
  }
}
  




.float-label {
  left: 0;
  top: 7px;
  font-size: 16px;
  pointer-events: none;
}

/* active state */
.form-control:focus ~ .float-label, .form-control:valid ~ .float-label {
  top: -18px;
  font-size: 12px;
}


/* input colors ---- */
// default
.form-control:focus {
  ~ label {
    color: #03a9f4;
  }
  
  ~ .form-bar:before, ~ .form-bar:after {
    background: #03a9f4;
  }
}




.form-control:valid ~ .control-label {

}

/* help-block */
.form-group .help-block {
  position: absolute;
}

.help-block {
  color: #bdbdbd; // caption
  font-size: 12px;
  font-weight: 300;
}

/* input addon ---*/
.input-group-addon {
  border: none;
  background: transparent;
}

/* ------  inline ----*/
.input-group-addon, .form-inline .input-group {
  display: table-cell;
}

.input-group-addon, .input-group-btn {
  width: inherit;
}

.input-group {
  width: 100%;
}

@media (min-width: 768px) {
  .form-inline .form-group {
    margin-top: 16px;
  }
  
  .input-group-btn, .input-group .form-control, .input-group-addon, .form-inline .input-group {
    display: inline-block;
  }
  
  .input-group {
    width: auto;
  }
}

/* -- bar styles -------------------------------------- */
.form-bar {
  position: relative;
  display: block;
  width: 100%;
}
.form-bar:before, .form-bar:after 	{
  content: '';
  height: 1px;
  width: 0;
  bottom: 0;
  position: absolute;
  transition: 0.3s ease all;
  -moz-transition: 0.3s ease all;
  -webkit-transition: 0.3s ease all;
}
.form-bar:before {
  left: 50%;
}
.form-bar:after {
  right: 50%;
}

/* active state */
.form-control:focus ~ .form-bar:before, .form-control:focus ~ .form-bar:after {
  width: 50%;
}

/* -- highlighter styles ------------------------------ */
.form-highlight {
  position: absolute;
  height: 60%;
  width: 60px;
  top: 25%;
  left: 0;
  pointer-events: none;
  opacity: 0.4;
}

/* active state */
.form-control:focus ~ .form-highlight {
  -webkit-animation: inputHighlighter 0.3s ease;
  -moz-animation: inputHighlighter 0.3s ease;
  animation: inputHighlighter 0.3s ease;
}

/* -- highlighter animation --------------------------- */
@-webkit-keyframes inputHighlighter {
  from { background:#5264AE; }
  to { width:0; background:transparent; }
}
@-moz-keyframes inputHighlighter {
  from { background:#5264AE; }
  to { width:0; background:transparent; }
}
@keyframes inputHighlighter {
  from { background:#5264AE; }
  to { width:0; background:transparent; }
}


/*-- Checkbox --------------------------- */
// fork from http://codepen.io/jasonmayes/pen/wxtFr
/* 
 * Core styles required for the checkboxes.
 * @author Jason Mayes 2014, www.jasonmayes.com
*/
.form-group.checkbox {
  margin-top: 20px;
}

.checkbox input[type='checkbox'] {
  height: 0;
  width: 0;
  opacity: 0;
}

.checkbox label {
  font-size: 14px;
  font-weight: 300;
  line-height: 1;
  display: inline-block;
  overflow: hidden;
  position: relative;
  top: 10px;
  padding-left: 0;
}

.checkbox .chk-span {
  top: 0;
  border: 1px solid #5a5a5a;
  color: #1d1d1d;
  cursor: pointer;
  display: inline-block;
  float: left;
  height: 14px;
  margin: 0 14px 14px 1px;
  outline-color: #eaeaea;
  padding: 0;
  position: relative;
  width: 14px;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
  z-index: 1;
}

.checkbox .chk-span.checked {
  top: -2px;
  border-left: 2px solid #03a9f4;
  border-bottom: 4px solid #03a9f4;
  border-top: 1px solid rgba(0,0,0,0);
  border-right: 1px solid rgba(0,0,0,0);
  -webkit-transform: rotate(-45deg) scaleY(0.5);
  -moz-transform: rotate(-45deg) scaleY(0.5);
  -ms-transform: rotate(-45deg) scaleY(0.5);
  -o-transform: rotate(-45deg) scaleY(0.5);
  transform: rotate(-45deg) scaleY(0.5);
}

// Checkbox colors
.checkbox .chk-span.checked {
  border-left-color: #03a9f4;
  border-bottom-color: #03a9f4;
}

// focus state
.checkbox input[type='checkbox']:focus ~ label {
  
  color: #03a9f4;
  
  .chk-span {
    border-color: #03a9f4;
    &.checked {
      border-left-color: #03a9f4;
      border-bottom-color: #03a9f4;
      border-top: 1px solid rgba(0, 0, 0, 0);
      border-right: 1px solid rgba(0, 0, 0, 0);
    }
  }
}

@media (min-width: 768px) {
  .form-inline .radio label, .form-inline .checkbox label {
    padding-left: 5px;
  }
}
.form-control-static {
  font-size: 16px;
}

.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control {
  background-color: transparent;
  border-bottom-style: dashed;
}

#focusedInput {
  border-color: #ccc;
  border-color: rgba(82,168,236,.8);
  outline: 0;
  box-shadow: none;
}	

/* ------------------------ scrollbar -----------------------------*/	
::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: #C1FFF9;
}

::-webkit-scrollbar
{
	width: 10px;
	background-color: #15DDC5;
}

::-webkit-scrollbar-thumb
{
	background-color: #15DDC5;	
	background-image: -webkit-linear-gradient(90deg,
	                                          rgba(255, 255, 255, .2) 25%,
											  transparent 25%,
											  transparent 50%,
											  rgba(255, 255, 255, .2) 50%,
											  rgba(255, 255, 255, .2) 75%,
											  transparent 75%,
											  transparent)
}
/* ------------------------ scrollbar -----------------------------*/